Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.filter.visualization.dependencyGraph
Class ComponentAllocationDependencyGraph

    java.lang.Object
      kieker.tools.traceAnalysis.filter.visualization.graph.AbstractGraph<DependencyGraphNode<T>,WeightedBidirectionalDependencyGraphEdge<T>,TraceInformation>
          kieker.tools.traceAnalysis.filter.visualization.dependencyGraph.AbstractDependencyGraph<AllocationComponent>
              kieker.tools.traceAnalysis.filter.visualization.dependencyGraph.ComponentAllocationDependencyGraph

    public class ComponentAllocationDependencyGraph

extends AbstractDependencyGraph<AllocationComponent>

This class represents component dependency graphs on the allocation level.

Since:
  1.6
Author:
  Holger Knoche

Nested Class Summary

Nested classes/interfaces inherited from class kieker.tools.traceAnalysis.filter.visualization.graph.AbstractGraph
`AbstractGraph.IGraphVisitor<V,E>`

Constructor Summary
`ComponentAllocationDependencyGraph(AllocationComponent rootEntity)` Creates a new graph with the given root entity.

Method Summary

Methods inherited from class kieker.tools.traceAnalysis.filter.visualization.dependencyGraph.AbstractDependencyGraph
`getNodes, getRootNode, getVertices, size`

Methods inherited from class kieker.tools.traceAnalysis.filter.visualization.graph.AbstractGraph
`traverse, traverseWithVerticesFirst`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentAllocationDependencyGraph

    public ComponentAllocationDependencyGraph(AllocationComponent rootEntity)

  Creates a new graph with the given root entity.

  Parameters:
    `rootEntity` - The root entity to use for this graph

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net